#!/bin/bash
# @Contact :   liuyuqi.gov@msn.cn
# @Time    :   2023/03/19 19:11:52
# @License :   (C)Copyright 2022 liuyuqi.
# @Desc    :   build apk
###############################################################################
source /etc/profile

export JAVA_HOME=/usr/local/openjdk-11
# export JAVA_HOME=/root/.sdkman/candidates/java/21.0.1-ms/
# source "$HOME/.sdkman/bin/sdkman-init.sh"
# sdk list
# sdk install java 8.0.392-librca
# sdk default java 8.0.392-librca

# flutter
export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

# cd /opt/flutter
# git checkout 2.0.5 
# git checkout 3.7.9 
# git checkout 3.13.8
# flutter doctor

# cd /workspace/flutter_you
# flutter build apk
# flutter build apk --debug
# flutter pub get

# android
# cd /workspace/packagehunter
# chmod +x gradlew
# ./gradlew assembleDebug
# ./gradlew cleanBuildCache

# aapt package -f \
# -M AndroidManifest.xml \ 
# -I "$ANDROID_HOME/platforms/android-N/android.jar" \
# -S res/ \
# -J gen/ \
# -m \

# java
# mvn clean package -Dmaven.test.skip=true

# node
# cd 
# yarn && yarn build
# yarn && yarn dev

# go
# cd 
# go build

# python
# pip install -r requirements.txt
# python main.py

# docker
cd /workspace/blog
docker compose -f "docker-compose.debug.yml" down 
docker compose -f "docker-compose.debug.yml" up -d --build
docker compose  -f "docker-compose.debug.yml" up -d --build node_container
# docker exec -it java_container /bin/sh
docker exec -it node_container /bin/bash

cd /app/qihang.ecom.erp/framework
mvn package && mvn install

cd /app/qihang.ecom.erp/ecerp-api
mvn spring-boot:run
