# nodejs

nodejs 开发，包括vue，react，angular，node服务端，桌面开发等


如，项目需要在 node14 环境下开发，可以使用以下方式：

```
docker run --rm -it -w /app -v $(pwd):/app node:16 /bin/bash

```

-v /workspace:/app 挂载本地目录到容器内，/workspace 为本地目录，/app 为容器内目录

### 额外配置

有时候，项目需要一些额外开发环境，可以新建一个 Dockerfile 文件，构建一个本地镜像
    
```Dockerfile
FROM node:14
WORKDIR /app
# todo
```

然后使用该镜像启动容器：
```
docker build -t jianboy/node-hexo:14 .

docker run --rm -it -v /workspace:/app node:14 /bin/bash

```



## Dockerfile

常见的 vue 等前后端分离项目，buider 层构建，再用 base 层运行。排除不必要的构建环境。

## Dockerfile-front-backend

前后端都是nodejs项目，且前后端都编译运行。

* 前端编译生成放入./public目录
* 后端tsup编译生成放入./build目录
* 运行 esno ./build/index.js启动nodejs项目



```
# 构建镜像

# 构建项目
git clone https://gitee.com/dromara/mayfly-go


vscode://vscode-remote/ssh-remote+coding-ci-fc8-1hilhaeop-001%2344201d6d-d571-47fc-9836-7520ca2a61d7-imo@ci.coding.net:2201/workspace/

```




```
# 构建镜像
docker build -t jianboy/node-build:20 .

docker build -t jianboy/dev-allinone:1.0.1 .

# 构建项目
git clone https://gitee.com/dromara/mayfly-go
docker run -it --rm -v /workspace:/workspaces jianboy/node-build:20

yarn build

docker build -t sift-docker.pkg.coding.net/flutter-team/dev-container/dev-allinone:1.0.5-flutter -f '.ide/Dockerfile-allinone-flutter'.


vscode://vscode-remote/ssh-remote+coding-ci-fc8-1hilhaeop-001%2344201d6d-d571-47fc-9836-7520ca2a61d7-imo@ci.coding.net:2201/workspace/

```